class nfs_exports {
    
    #Get all information about NFS settings from Hiera using "hash" merging strategy.
    $hash_from_hiera = lookup('nfs_exports', { merge => 'deep' } ) 
    
    class { "nfs_exports::install" :
        nfsutils_pkg_version => $hash_from_hiera[ 'nfsutils_pkg_version' ]
    }
    
    class { "nfs_exports::config" :
        nfs_exports_config => $hash_from_hiera[ 'config' ]
    }
    
    class { "nfs_exports::service" :
        nfsd_enabled => $hash_from_hiera[ 'enable' ]
    }
}
