class nfs_exports::service( Boolean $nfsd_enabled ) {
    service { "nfs":
        ensure => $nfsd_enabled,
        enable => $nfsd_enabled,
        require => Class[ "nfs_exports::install" ]
    }

    exec { "reload_nfs_exports" :
        path => [ '/bin', '/sbin', '/usr/bin', '/usr/sbin' ],
        command => "exportfs -r",
        subscribe => Class[ "nfs_exports::config" ],
        refreshonly => true
    }

}
